// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2022 Florian Schmaus
#include "Continuation.hpp"

void Continuation::printTo(std::ostream& strm) const {
	// clang-format off
	strm << "Continuation ["
			 << "bp="   << bp
			 << ", sp=" << sp
			 << ", ip=" << ip
			 << "]";
	// clang-format on
}

auto operator<<(std::ostream& strm, const Continuation& continuation) -> std::ostream& {
	continuation.printTo(strm);
	return strm;
}
