// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021-2022 Florian Fischer
#pragma once

#include <string>

#include "lib/MappedFileBuffer.hpp"

namespace emper::log {
class LogBuffer : emper::lib::MappedFileBuffer {
 public:
	LogBuffer(const std::string& logFile) : MappedFileBuffer(logFile) {}

	void log(const std::string& message) { put(message); };
};
}	 // namespace emper::log
